Skip to content

Update a gateway

Request

OPA roles:
  • resource_admin

Updates a specified gateway

Security
bearerAuth
Path
team_namestringrequired

The name of your team

gateway_idstringrequired

The UUID of a gateway

Bodyapplication/jsonrequired
access_addressstring

The IP address used to access the gateway

Example:"192.168.190.144:7234"
default_addressstring

The default IP address used to access the gateway. This is generally supplied by the network interface or cloud provider metadata.

Example:"192.168.19.32"
descriptionstring or null, [ 1 .. 1024 ] characters

The description of the gateway

labelsobjectrequired

The labels associated with the gateway. Used by projects to select gateways.

namestring, (regex), [ 1 .. 255 ] characters^[\w\-_.]+$required

The name for the gateway

Example:"ProductionGateway"
curl -i -X PUT \
  'https://{org_name}.pam.okta.com/v1/teams/{team_name}/gateways/{gateway_id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "access_address": "192.168.190.144:7234",
    "default_address": "192.168.19.32",
    "description": "string",
    "labels": {
      "property1": "string",
      "property2": "string"
    },
    "name": "ProductionGateway"
  }'

Responses

No Content